<?php


namespace App\Entities\AtendimentoFormulario;

use App\Utils\Builder;

class AtendimentoFormularioBuilder implements Builder
{
    private $id;
    private $id_formulario;

    public function setId($id)
    {
        $this->id = $id;
        return $this;
    }

    /**
     * @param mixed $id_formulario
     * @return AtendimentoFormularioBuilder
     */
    public function setIdFormulario($id_formulario)
    {
        $this->id_formulario = $id_formulario;
        return $this;
    }


    public function build () {
        $profissional = new AtendimentoFormulario();
        $profissional->setId($this->id);
        $profissional->setIdFormulario($this->id_formulario);

        return $profissional;
    }
}